List all Events

Returns a list of events based on specified time ranges and filtering criteria. This endpoint uses field projection, returning only the specific event attributes requested in the fields parameter.

Path Params
string
required

ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.

Body Params
number
required

Return events starting from the specified time in epoch timestamp (milliseconds).

number
required

Return events up to the specified time in epoch timestamp (milliseconds).

string
enum
string
enum
Defaults to desc
Allowed:
string

Base64-encoded cursor for pagination. Use nextCursor/previousCursor from previous response for navigation.

number
required
1 to 100

Number of items per page (1-100)

fields
array of strings
required

Array of fields to include in the response. Specify which event fields you want returned (e.g., uuid, name, severity, timestampUtcMs).

fields*
filters
object

To use the filter builder, you must first select a single top-level logic group (AND/OR) and then add your filter conditions within the group. All conditions in the group are evaluated together using the group's logic operator (AND/OR).

Do not include both operator types at the top-level. If you need to combine AND/OR logic, you can switch the logic type by adding a new nested group object within the first group, such as AND[user is Bob, OR[severity is high, severity is low]]. This translates to "user is Bob AND (severity is high OR severity is low)".

Responses

400

Bad Request

401

Unauthorized - Invalid or missing authentication token

403

Forbidden: Access to this resource is denied

500

Internal Server Error - Unexpected server error

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json